@Echo off
REM #LUp:17.11.2023 add WRN
REM #LUp:07.11.2024 set Dialog 3F to F9
REM #LUp:07.08.2025 add Dialog2=F0 Dialog3=F3
REM #EXa:call ColorSet "#Key#"
if /I "%~1" equ "Init"        set JobColorLast=E0
if /I "%~1" equ "Standard"    set JobColorLast=E0
if /I "%~1" equ "Dialog"      set JobColorLast=F9
if /I "%~1" equ "Dialog2"     set JobColorLast=F0
if /I "%~1" equ "Dialog3"     set JobColorLast=3F
if /I "%~1" equ "Dialog4"     set JobColorLast=0E
if /I "%~1" equ "IsExecuting" set JobColorLast=E0
if /I "%~1" equ "IsIdel"      set JobColorLast=70
if /I "%~1" equ "ExtractLi"   set JobColorLast=B0
if /I "%~1" equ "EvalResult"  set JobColorLast=B1
if /I "%~1" equ "End"         set JobColorLast=70
if /I "%~1" equ "Ende"        set JobColorLast=70
if /I "%~1" equ "Ok"          set JobColorLast=A0
if /I "%~1" equ "ERR"         set JobColorLast=C0
if /I "%~1" equ "WRN"         set JobColorLast=B9
if "%JobColorLast%" neq "" color %JobColorLast%

